<?php
/**
 * DBShop 电子商务系统
 *
 * ==========================================================================
 * @link      https://www.dbshop.net/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbshop.net/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

use Laminas\Mvc\Application;

chdir(dirname(__DIR__));

//如果在开发状态时，注释下面语句；在生产环境下，不要注释
error_reporting(0);

if (version_compare(PHP_VERSION, '7.4', '<') === true) exit('ERROR: Your PHP version is ' . PHP_VERSION . '. DBShop requires PHP 7.4 or newer.<br><br>错误：您的 PHP 版本是 ' . PHP_VERSION . '。DBShop系统支持 PHP7.4或者更高版本。');
if (!extension_loaded('intl')) exit('ERROR: The intl extension is not loaded. Please install it.<br><br>错误：intl扩展没有加载，请安装。');

include './vendor/autoload.php';

if (!file_exists('data/install.lock')) {
    $request= new \Laminas\Http\PhpEnvironment\Request();
    $urlStr = $request->getUriString();
    if (!in_array(basename($urlStr), ['install', 'nextStep', 'installShop', 'installFinish'])) {
        if (is_dir('data/cache/') && !is_writable('data/cache/')) echo "<strong style='color: red;'>data/cache/ 没有写权限</strong><br>";
        
        exit('<a href="'.rtrim($request->getBaseUrl(), '/').'/install">click Install DBShop</a>');
    }
}

$appConfig = require './config/application.config.php';

//shop版本信息
include "./data/shopVersion.php";

/**
 * 动态加载
 */
$moduleExtendConfig = require './data/moduleExtend.php';
if(!empty($moduleExtendConfig)) {
    $loader = new \Composer\Autoload\ClassLoader();
    array_map(function ($module) use($loader) {
        $loader->addPsr4($module['key'], $module['value']);
        }, $moduleExtendConfig);
    $loader->register();
}



Application::init($appConfig)->run();
